package cn.com.poc.thirdparty.resource.text_in.entity.doc_flow.fileFetchResponse;

import java.util.List;

/**
 * @Author：Roger Wu
 * @name：DocumentPage
 * @Date：2025-08-29 15:31
 */
public class DocumentPage {
    /**
     * 页面的旋转角度
     */
    private Long angle;
    /**
     * 页面的高度
     */
    private Long height;
    /**
     * 页面的文本行数组
     */
    private List<Line> lines;
    /**
     * 页面的宽度
     */
    private Long width;

    public Long getAngle() {
        return angle;
    }

    public void setAngle(Long value) {
        this.angle = value;
    }

    public Long getHeight() {
        return height;
    }

    public void setHeight(Long value) {
        this.height = value;
    }

    public List<Line> getLines() {
        return lines;
    }

    public void setLines(List<Line> value) {
        this.lines = value;
    }

    public Long getWidth() {
        return width;
    }

    public void setWidth(Long value) {
        this.width = value;
    }
}
